﻿#Region "Copyright (C) 2012 James D Westoby"

' Copyright (C) 2012 James D Westoby
'
'  This Program is free software you can redistribute it and/or modify
'  it under the terms of the GNU General Public License as published by
'  the Free Software Foundation either version 2, or (at your option)
'  any later version.
'   
'  This Program is distributed in the hope that it will be useful,
'  but WITHOUT ANY WARRANTY without even the implied warranty of
'  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
'  GNU General Public License for more details.
'   
'  You should have received a copy of the GNU General Public License
'  along with GNU Make see the file COPYING.  If not, write to
'  the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA. 
'  http:'www.gnu.org/copyleft/gpl.html

#End Region


Imports System
Imports System.Diagnostics



Public Class RadioPlayer
    Private Const myExe As String = "IExplore"

    Private myTitle As String = ""


#Region "Public Methods"

    Public Sub StartPlay(ByRef Name As String, ByRef Title As String, ByRef URL As String)
        StopPlay()
        Dim i As New ProcessStartInfo(myExe & ".exe")
        i.Arguments = URL
        i.WindowStyle = ProcessWindowStyle.Hidden
        'i.CreateNoWindow = True
        Dim p As Process = Process.Start(i)

        myTitle = Title
    End Sub


    Public Sub StopPlay()
        If (myTitle = "") Then Return

        For Each p As Process In Process.GetProcesses()
            If (UCase(p.ProcessName) = UCase(myExe)) Then
                If (0 < InStr(myTitle, p.MainWindowTitle, CompareMethod.Text)) Then
                    p.Kill()
                    p.MainModule.Dispose()
                End If
            End If
        Next p
        myTitle = ""
    End Sub

#End Region

End Class
